aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog19
-rw-r--r--Makefile1
-rw-r--r--debian/changelog7
-rw-r--r--debian/pbuilder-uml.files3
-rwxr-xr-xdebian/rules2
-rwxr-xr-xpbuilder-checkparams4
-rw-r--r--pbuilder-user-mode-linux.13
-rw-r--r--pdebuild1
-rw-r--r--pdebuild-user-mode-linux40
-rw-r--r--pdebuild-user-mode-linux.177
10 files changed, 152 insertions, 5 deletions
diff --git a/ChangeLog b/ChangeLog
index fde5454..4a903dc 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,22 @@
+2003-02-10 Junichi Uekawa <dancer@debian.org>
+
+ * pdebuild: set pdebuild here as well.
+
+ * pbuilder-checkparams (BASEBUILDPLACE): support the convention, and
+ do not exec < /dev/null in that case.
+
+ * pdebuild-user-mode-linux (PBCURRENTCOMMANDLINEOPERATION): set to
+ pdebuild-user-mode-linux.
+
+ * pbuilder-user-mode-linux.1: fix manual to have pbuilder-uml.conf.5
+
+ * Makefile (install): add pdebuild-user-mode-linux
+
+ * pdebuild-user-mode-linux.1: Initial manual page.
+
+ * pdebuild-user-mode-linux: try making a new script that
+ uses pbuilder-user-mode-linux for building instead of pbuilder.
+
2003-02-04 Junichi Uekawa <dancer@debian.org>
* pbuilder-buildpackage-funcs: use "cp -p" in copydsc
diff --git a/Makefile b/Makefile
index 6a9d32e..c60ccc0 100644
--- a/Makefile
+++ b/Makefile
@@ -29,6 +29,7 @@ install:
$(INSTALL_EXECUTABLE) pbuilder $(DESTDIR)/usr/sbin
$(INSTALL_EXECUTABLE) pdebuild $(DESTDIR)/usr/bin
$(INSTALL_EXECUTABLE) pbuilder-user-mode-linux $(DESTDIR)/usr/bin
+ $(INSTALL_EXECUTABLE) pdebuild-user-mode-linux $(DESTDIR)/usr/bin
$(INSTALL_EXECUTABLE) debuild-pbuilder $(DESTDIR)/usr/bin
$(INSTALL_EXECUTABLE) pbuilder-satisfydepends $(DESTDIR)/usr/lib/pbuilder/
$(INSTALL_FILE) pbuilderrc $(DESTDIR)/etc
diff --git a/debian/changelog b/debian/changelog
index 44826d2..bc6d1f3 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+pbuilder (0.65) UNRELEASED; urgency=low
+
+ * pdebuild-user-mode-linux script.
+ * fix pbuilder-user-mode-linux manual page slightly.
+
+ -- Junichi Uekawa <dancer@debian.org> Mon, 10 Feb 2003 15:03:31 +0900
+
pbuilder (0.64) unstable; urgency=low
* Apply patch from Daniel Schepler <schepler@math.berkeley.edu>,
diff --git a/debian/pbuilder-uml.files b/debian/pbuilder-uml.files
index 229871f..14f8bbf 100644
--- a/debian/pbuilder-uml.files
+++ b/debian/pbuilder-uml.files
@@ -1,3 +1,4 @@
etc/pbuilder/pbuilder-uml.conf
usr/share/pbuilder/pbuilder-uml.conf
-usr/bin/pbuilder-user-mode-linux \ No newline at end of file
+usr/bin/pbuilder-user-mode-linux
+usr/bin/pdebuild-user-mode-linux \ No newline at end of file
diff --git a/debian/rules b/debian/rules
index 63553b9..362be01 100755
--- a/debian/rules
+++ b/debian/rules
@@ -63,7 +63,7 @@ ifeq (${ARCH},i386)
dh_testdir -a
dh_testroot -a
dh_installdocs -a
- dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5
+ dh_installman -ppbuilder-uml pbuilder-user-mode-linux.1 pbuilder-uml.conf.5 pdebuild-user-mode-linux.1
dh_installchangelogs -a
dh_link -a
dh_compress -a
diff --git a/pbuilder-checkparams b/pbuilder-checkparams
index db9cd8f..104ce03 100755
--- a/pbuilder-checkparams
+++ b/pbuilder-checkparams
@@ -168,8 +168,8 @@ if [ -z "${CHROOTEXEC}" ]; then
fi
case "$PBCURRENTCOMMANDLINEOPERATION" in
- login)
- # don't do anything if it is "login"
+ login|pdebuild)
+ # don't do anything if it is "login", or pdebuild
;;
*)
# line from kobras@debian.org
diff --git a/pbuilder-user-mode-linux.1 b/pbuilder-user-mode-linux.1
index 72ce908..db99e9b 100644
--- a/pbuilder-user-mode-linux.1
+++ b/pbuilder-user-mode-linux.1
@@ -159,7 +159,8 @@ User-default configuration file.
.RI "pbuilder (" 8 "), "
.RI "rootstrap (" 1 "), "
.RI "linux (" 1 "), "
-.RI "pbuilderrc (" 5 ") "
+.RI "pbuilderrc (" 5 "), "
+.RI "pbuilder-uml.conf (" 5 ") "
diff --git a/pdebuild b/pdebuild
index 522941d..c9ad9e8 100644
--- a/pdebuild
+++ b/pdebuild
@@ -26,6 +26,7 @@ if test ! -d ./debian; then
exit 1
fi;
+export PBCURRENTCOMMANDLINEOPERATION="pdebuild"
. /usr/lib/pbuilder/pbuilder-checkparams
PKG_SOURCENAME=$(dpkg-parsechangelog|sed -n 's/^Source: //p')
diff --git a/pdebuild-user-mode-linux b/pdebuild-user-mode-linux
new file mode 100644
index 0000000..72079ea
--- /dev/null
+++ b/pdebuild-user-mode-linux
@@ -0,0 +1,40 @@
+#! /bin/bash
+# pbuilder-user-mode-linux -- personal Debian package builder
+# Copyright (C) 2003 Junichi Uekawa
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+set -e
+
+while ! test -d ./debian -o "$(pwd)" = "/" ; do
+ cd ..;
+done
+
+if test ! -d ./debian; then
+ echo "Cannot find ./debian dir"
+ exit 1
+fi;
+export PBCURRENTCOMMANDLINEOPERATION="pdebuild"
+. /usr/lib/pbuilder/pbuilder-checkparams
+
+PKG_SOURCENAME=$(dpkg-parsechangelog|sed -n 's/^Source: //p')
+PKG_VERSION=$(dpkg-parsechangelog|sed -n 's/^Version: \(.*:\|\)//p')
+ARCHITECTURE=$(dpkg-architecture -qDEB_HOST_ARCH)
+
+dpkg-buildpackage -S -us -uc -r${BUILDSOURCEROOTCMD} || true
+pbuilder-user-mode-linux build "$@" --buildresult "${BUILDRESULT}" ../"${PKG_SOURCENAME}_${PKG_VERSION}".dsc
+if [ "${AUTO_DEBSIGN}" = "yes" ]; then
+ debsign "${BUILDRESULT}/${PKG_SOURCENAME}_${PKG_VERSION}_${ARCHITECTURE}.changes"
+fi
+
diff --git a/pdebuild-user-mode-linux.1 b/pdebuild-user-mode-linux.1
new file mode 100644
index 0000000..de19f8f
--- /dev/null
+++ b/pdebuild-user-mode-linux.1
@@ -0,0 +1,77 @@
+.TH "pdebuild-user-mode-linux" 1 "2003 Feb 10" "Debian" "pbuilder"
+.SH NAME
+pdebuild-user-mode-linux \- pbuilder-user-mode-linux way of doing debuild
+.SH SYNOPSIS
+.BI "pdebuild-user-mode-linux [" "pdebuild-user-mode-linux options" "] -- [" "pbuilder-user-mode-linux options" "]"
+.PP
+.SH "DESCRIPTION"
+A convenience program for
+.B pbuilder-user-mode-linux
+which invokes pbuilder after obtaining appropriate root privilate
+in a Debian source directory.
+One must be inside the source tree containing the
+.B debian
+directory, in order to make it work.
+
+.SH "PDEBUILD OPTIONS"
+.TP
+.BI "--buildsourceroot [" "fakeroot" "]"
+The command used to gain root privilege for
+invoking dpkg-buildpackage
+
+.TP
+.BI "--pbuilderroot [" "sudo" "]"
+The command used to gain root privilege for
+invoking pbuilder.
+
+.TP
+.BI "--auto-debsign"
+
+Invoke debsign at the end of pdebuild process.
+
+.TP
+.BI "--buildresult [" "Directory for build results" "]"
+
+The place which build result is stored.
+
+.TP
+.BI "-- [" "pbuilder options" "]"
+
+After the
+.B "--"
+symbol, an arbitrary number of pbuilder options can be specified.
+See pbuilder-user-mode-linux.1 for full list of options.
+
+
+There is an exception that
+.B "--buildresult"
+needs to be specified as pdebuild option before the
+.B "--"
+to be effective.
+
+.SH "FILES"
+.TP
+.I "/etc/pbuilderrc"
+The configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux.
+
+.TP
+.I "/usr/share/pbuilder/pbuilderrc"
+The default configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux.
+
+.TP
+.I "${HOME}/.pbuilderrc"
+Configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux,
+overrides what is written in
+.B /etc/pbuilderrc
+
+.SH "AUTHOR"
+Initial coding, and main maintenance is done by
+Junichi Uekawa <dancer@debian.org>.
+
+The homepage is available at
+.B "http://www.netfort.gr.jp/~dancer/software/pbuilder.html"
+
+.SH "SEE ALSO"
+.RI "pbuilder-user-mode-linux (" 1 "), "
+.RI "pbuilderrc (" 5 "), "
+.RI "pbuilder-uml.conf (" 5 ") "